Substy Developers
Analytics

Get team performance comparison

Read time-series data comparing employee performance using the requested period and filters.

GET/v1/agencies/{agencyId}/analytics/employee-comparison

Read time-series data comparing employee performance using the requested period and filters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

startDate*string
endDate*string
creatorIds?array<string>
Default[]
employeeIds*array<string>
Items1 <= items
chartMetric?string
Default"net_earnings"

Value in

  • "net_earnings"
  • "ppv_sent"
  • "average"
  • "message_sent"
  • "golden_ratio"
granularity?string
Default"daily"

Value in

  • "daily"
  • "weekly"
  • "monthly"
earningsMode?string
Default"net"

Value in

  • "net"
  • "gross"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/analytics/employee-comparison?startDate=string&endDate=string&employeeIds=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "chartData": [      {        "date": "string",        "property1": "string",        "property2": "string"      }    ],    "employeeNames": [      "string"    ]  },  "meta": {    "requestId": "string"  }}